<?php
class BreadcrumbClassLoader implements IClassLoader
{
	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
	}

	/*
	 * クラスローダ名
	 */
	public function getClassLoaderName()
	{
		return "Breadcrumb Class Loader";
	}

	/*
	 * クラスをロード
	 */
	public static function loadClass( $class_name )
	{
		$class_path = array(

			// task classes

				"BreadcrumbTask"			=> "tasks/BreadcrumbTask.class.php",

			);

		// クラス名からクラスパスを取得
		$classPath = $class_path[ $class_name ];

		// ロードされなかった
		if ( !$classPath ){
			return;
		}

		// ソース読み込み
		require_once( $classPath );
	}
}
